Hobbyist Toolkit

cancel
Showing results for 
Search instead for 
Did you mean: 

LV2023 Q3 Device interrogation failed: Unable to connect to the target.

Using latest raspberry pi OS image 64bt and also tried 32bit. I can connect through putty.

when in hobbyist target config i get this.

 

Connecting to target...
Unable to connect to the target. Please make sure the specified Hostname/IP, Username and Password are correct and try again. If this problem persists please search then create a thread on the Makerhub forums at labviewmakerhub.com/forums/linx.
Unable to connect to the target.
Ignoring Error: 5000 LMH-LINX.lvlib:SSH Smart Open Session.vi<ERR>
Unable to connect to the target. Please make sure the specified Hostname/IP, Username and Password are correct and try again. If this problem persists please search then create a thread on the Makerhub forums at labviewmakerhub.com/forums/linx.
Device interrogation failed: Unable to connect to the target.
OS Version:
CPU:
Systemd Version:
Has Internet Access: False
Device Type:

 

 

I have doubled checked user name and password and host name even tried IP.

still get the same error.

0 Kudos
Message 1 of 6
(1,704 Views)

Hi,
The target configuration utility does not support the Bookworm version of Pi OS. It does support the latest Raspberry Pi OS (Legacy) 32 bit version. You would need to boot the Raspberry Pi from a Micro SD card with that version.

The kernel image can be downloaded from https://www.raspberrypi.com/software/operating-systems/

 

 

Message 2 of 6
(1,623 Views)

@AndyLB wrote:

Hi,
The target configuration utility does not support the Bookworm version of Pi OS. It does support the latest Raspberry Pi OS (Legacy) 32 bit version. You would need to boot the Raspberry Pi from a Micro SD card with that version.


Do you know where the problem is? Is it a fundamental incompatibility of the schroot installation in the new Raspberry PI OS, or is it more something of the Firmware Wizard not quite handling the connection properly?

Rolf Kalbermatter
My Blog
0 Kudos
Message 3 of 6
(1,600 Views)

Hi Rolf,

There are a few issues.  I think the ssl connection is failing because of the type of key required by the Bookworm version of Pi OS. It's possible this may be fixed by using a newer version of the Renci.SshNet.dll.

(LINX/LabVIEW/vi.lib/MakerHub/LINX/Resources)

The schroot runs OK on the Pi OS, but we will need a new .deb file because Python 2 is not supported.

For more information see this issue raised by @cycleworm 

https://github.com/MakerHub/lvrt-deb-pkg/issues/14

Message 4 of 6
(1,587 Views)

Thanks Andy

That helped it connected an I'm off and running. I hope they get Bookworm to work with it but for now its working with the legacy OS.

0 Kudos
Message 5 of 6
(1,511 Views)

Is it working now with RBPi 5? It's not clear for me. If yes, can somebody summarize how to make a connection between LabVIEW (Target configuration) and a RBPi5? I still get the error "Ignoring Error: 5000 LMH-LINX.lvlib:SSH Smart Open Session.vi". I have 32-bit Bookworm installed.

0 Kudos
Message 6 of 6
(1,189 Views)